# GuidedProposals.jl

Efficient and user-friendly guided proposals in Julia. Introduced in [M Schauer, F van der Meulen and H van Zanten *Guided proposals for simulating
multi-dimensional diffusion bridges* (2017)](https://projecteuclid.org/euclid.bj/1494316837) [[arXiv](https://arxiv.org/pdf/1311.3606.pdf)].

Provides methods for efficient sampling of conditioned diffusions.

------------------------

Depending on your intended use of this package you might choose to start at different places:

- For a quick overview of [GuidedProposals.jl](https://juliadiffusionbayes.github.io/GuidedProposals.jl/dev/)'s main functionality see [Get started](@ref get_started).
- For a systematic introduction to all functionality introduced in this package see the [Manual](@ref manual_start)
- For a didactic introduction to problems that can be solved using [GuidedProposals.jl](https://juliadiffusionbayes.github.io/GuidedProposals.jl/dev/) see the [Tutorials](@ref tutorials_start)
- If you have a problem that you think can be addressed with this package, then check out the [How-to guides](@ref how_to_guides) to see if the answer is already there.
